Workspace Api Operation Policy - List By Operation
API 操作レベルでポリシー構成の一覧を取得します。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/workspaces/{workspaceId}/apis/{apiId}/operations/{operationId}/policies?api-version=2024-05-01
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
api
|
path | True |
string minLength: 1maxLength: 256 pattern: ^[^*#&+:<>?]+$ |
API リビジョン識別子。 現在の API Management サービス インスタンスで一意である必要があります。 現在のリビジョン以外のリビジョンには、rev=n はサフィックスであり、n はリビジョン番号です。 |
|
operation
|
path | True |
string minLength: 1maxLength: 80 |
API 内の操作識別子。 現在の API Management サービス インスタンスで一意である必要があります。 |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
リソース グループの名前。 名前では大文字と小文字が区別されません。 |
|
service
|
path | True |
string minLength: 1maxLength: 50 pattern: ^[a-zA-Z](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?$ |
API Management サービスの名前。 |
|
subscription
|
path | True |
string (uuid) |
ターゲット サブスクリプションの ID。 値は UUID である必要があります。 |
|
workspace
|
path | True |
string minLength: 1maxLength: 80 pattern: ^[^*#&+:<>?]+$ |
ワークスペース識別子。 現在の API Management サービス インスタンスで一意である必要があります。 |
|
api-version
|
query | True |
string minLength: 1 |
この操作に使用する API バージョン。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
Api Operations Policy コレクション。 |
|
| Other Status Codes |
操作が失敗した理由を説明するエラー応答。 |
セキュリティ
azure_auth
Azure Active Directory OAuth2 フロー。
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
ApiManagementListWorkspaceApiOperationPolicies
要求のサンプル
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/workspaces/wks1/apis/599e2953193c3c0bd0b3e2fa/operations/599e29ab193c3c0bd0b3e2fb/policies?api-version=2024-05-01
応答のサンプル
{
"value": [
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/workspaces/wks1/apis/599e2953193c3c0bd0b3e2fa/operations/599e29ab193c3c0bd0b3e2fb/policies/policy",
"type": "Microsoft.ApiManagement/service/workspaces/apis/operations/policies",
"name": "policy",
"properties": {
"value": "<!--\r\n IMPORTANT:\r\n - Policy elements can appear only within the <inbound>, <outbound>, <backend> section elements.\r\n - Only the <forward-request> policy element can appear within the <backend> section element.\r\n - To apply a policy to the incoming request (before it is forwarded to the backend service), place a corresponding policy element within the <inbound> section element.\r\n - To apply a policy to the outgoing response (before it is sent back to the caller), place a corresponding policy element within the <outbound> section element.\r\n - To add a policy position the cursor at the desired insertion point and click on the round button associated with the policy.\r\n - To remove a policy, delete the corresponding policy statement from the policy document.\r\n - Position the <base> element within a section element to inherit all policies from the corresponding section element in the enclosing scope.\r\n - Remove the <base> element to prevent inheriting policies from the corresponding section element in the enclosing scope.\r\n - Policies are applied in the order of their appearance, from the top down.\r\n-->\r\n<policies>\r\n <inbound>\r\n <validate-jwt header-name=\"dd\">\r\n <required-claims>\r\n <claim name=\"bla\" separator=\"\">\r\n <value>xxx</value>\r\n </claim>\r\n </required-claims>\r\n </validate-jwt>\r\n <base />\r\n </inbound>\r\n <backend>\r\n <base />\r\n </backend>\r\n <outbound>\r\n <base />\r\n </outbound>\r\n</policies>"
}
}
],
"count": 1,
"nextLink": ""
}
定義
| 名前 | 説明 |
|---|---|
|
Error |
リソース管理エラーの追加情報。 |
|
Error |
エラーの詳細。 |
|
Error |
エラー応答 |
|
Policy |
リスト ポリシー操作の応答。 |
|
Policy |
policyContent の形式。 |
|
Policy |
ポリシー コントラクトの詳細。 |
ErrorAdditionalInfo
リソース管理エラーの追加情報。
| 名前 | 型 | 説明 |
|---|---|---|
| info |
object |
追加情報。 |
| type |
string |
追加情報の種類。 |
ErrorDetail
エラーの詳細。
| 名前 | 型 | 説明 |
|---|---|---|
| additionalInfo |
エラーの追加情報。 |
|
| code |
string |
エラー コード。 |
| details |
エラーの詳細。 |
|
| message |
string |
エラー メッセージ。 |
| target |
string |
エラーターゲット。 |
ErrorResponse
エラー応答
| 名前 | 型 | 説明 |
|---|---|---|
| error |
エラー オブジェクト。 |
PolicyCollection
リスト ポリシー操作の応答。
| 名前 | 型 | 説明 |
|---|---|---|
| count |
integer (int64) |
合計レコード数。 |
| nextLink |
string |
次のページ リンク (ある場合)。 |
| value |
ポリシー コントラクト値。 |
PolicyContentFormat
policyContent の形式。
| 値 | 説明 |
|---|---|
| xml |
コンテンツはインラインで、コンテンツ タイプは XML ドキュメントです。 |
| xml-link |
ポリシー XML ドキュメントは、API Management サービスからアクセスできる HTTP エンドポイントでホストされます。 |
| rawxml |
コンテンツはインラインで、コンテンツ タイプは XML エンコードされていないポリシー ドキュメントです。 |
| rawxml-link |
ポリシー ドキュメントは XML エンコードされておらず、API Management サービスからアクセスできる HTTP エンドポイントでホストされています。 |
PolicyContract
ポリシー コントラクトの詳細。
| 名前 | 型 | 規定値 | 説明 |
|---|---|---|---|
| id |
string |
リソースの完全修飾リソース ID。 例 - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName} |
|
| name |
string |
リソースの名前 |
|
| properties.format | xml |
policyContent の形式。 |
|
| properties.value |
string |
形式で定義されているポリシーの内容。 |
|
| type |
string |
リソースの種類。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts" |